Name: wmakerconf
Version: 2.8.1
Release: 3
Summary: A configuration tool for the Window Maker window manager.
Group: User Interface/Desktops
License: GPL
Source: http://ulli.on.openave.net/wmakerconf/wmakerconf-%{version}.tar.bz2
Patch0: wmakerconf-2.8.1-charset.patch
Patch1: wmakerconf-2.8.1-ia64+mkstemp.patch
URL: http://ulli.on.openave.net/wmakerconf/
BuildPrereq: WindowMaker-libs, WindowMaker,gtk+-devel,gnome-libs-devel
Requires: WindowMaker, perl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The wmakerconf utility is a configuration tool for the Window Maker
window manager. All attributes (including the application menu) can be
configured, so wmakerconf is a valid alternative (or add-on) to Window
Maker's built-in configuration tool, WPrefs. Moreover, wmakerconf also
makes it easy to install themes from the Web via a simple
drag-and-drop from your favorite browser to the wmakerconf themes
interface.

%prep
%setup -q 
%patch0 -p1 -b .charset
%patch1 -p1 -b .ia64+mkstemp

%build
%define optflags -g
%configure --with-wmakerdir=/etc/X11/ \
	--with-wmakeretcprefix=/etc/X11 \
	--with-wmakerprefix=/usr \
	--with-wmakerdatadir=%{_datadir}/WindowMaker \
	--disable-gtktest
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall GNOMEDIR="$RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Settings"
# DESTDIR="$RPM_BUILD_ROOT/"

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO MANUAL
/usr/bin/*
/usr/share/wmakerconf

%changelog
* Mon Oct 15 2001 Bill Nottingham <notting@redhat.com> 2.8.1-3
- fix segfault on startup on ia64 (#53600)
- use mkstemp()

* Wed Aug 29 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.8.1-2
- Add gtk+-devel, gnome-libs-devel to buildrequires (#48938)
- Fix use of macros (use curly, not standard, braces)

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- iterate to 2.8.1, fix 'no' charset (norwegian != russian)

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Tue Sep 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add WindowMaker to build requirements 

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%makeinstall and %%{_tmppath}

* Mon May 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added  "--with-wmakeretcprefix" to configure command
- added WindowMaker-libs as a BuildPrereq:

* Tue Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- version 2.6.1
- updated URL (homepage, source)
- removed old patches/data

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1
- data files for 0.60.0

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- patch to configure for cpp
- patches to build without things like amaker already installed
- version 1.99.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 1.4
- build for glibc 2.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
